/**
 * OpenBoleto - Geração de boletos bancários em PHP
 *
 * LICENSE: The MIT License (MIT)
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of this
 * software and associated documentation files (the "Software"), to deal in the Software
 * without restriction, including without limitation the rights to use, copy, modify,
 * merge, publish, distribute, sublicense, and/or sell copies of the Software, and to
 * permit persons to whom the Software is furnished to do so, subject to the following
 * conditions:
 *
 * The above copyright notice and this permission notice shall be included in all copies
 * or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
 * INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
 * OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
 * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

@media print {
    .noprint {
        display:none !important;
    }
}
.page-break {
    page-break-before:always;
}
body{
    background-color: #ffffff;
    margin-right: 0;
}

.wline {
    width: 666px;
    height: 1px;
    border-bottom: 2px solid #000;
    padding: 10px 0;
    margin-bottom: 10px;
}

.body-boleto {
    display:grid;
    grid-template-columns: 290px 10px 700px;

}
.rl {
    border-left: 1px dashed;
    margin-left: 5px;
    margin-right: 5px;
}

.canhoto-boleto {
    font: 9px Arial;
    border-collapse: collapse;
}

.table-boleto {
    font: 9px Arial;
    width: 666px;
}

.canhoto-boleto.table-boleto {
    width: 100% ;
    max-width: 800px;
    border-collapse: collapse;
    height: max-content;
}

.table-boleto td, .canhoto-boleto td {
    border-left: 1px solid #000;
    border-top: 1px solid #000;
}

.table-boleto td:last-child, .canhoto-boleto td:last-child {
    border-right: 1px solid #000;
}

.canhoto-boleto .titulo {
    font: bold 9px Arial;
}
.table-boleto .titulo, .canhoto-boleto .titulo {
    color: #000033;
}


.linha-pontilhada {
    color: #000033;
    font: 9px Arial;
    width: 100%;
    border-bottom: 1px dashed #000;
    text-align: right;
    margin-bottom: 10px;
}

.table-boleto .conteudo {
    font: bold 10px Arial;
    height: 11.5px;
}

.canhoto-boleto.table-boleto .conteudo {
    font-weight: normal;
}

.table-boleto .sacador {
    display: inline;
    margin-left: 5px;
}

.table-boleto td, .canhoto-boleto td {
    padding: 1px 4px;
}

.table-boleto .noleftborder, .canhoto-boleto .noleftborder {
    border-left: none !important;
}

.table-boleto .notopborder, .canhoto-boleto .notopborder {
    border-top: none !important;
}

.table-boleto .norightborder, .canhoto-boleto .norightborder { 
    border-right: none !important;
}

.canhoto-boleto.table-boleto .nobottomborder {
    border-bottom: none !important;
}

.table-boleto .noborder ,
.canhoto-boleto .noborder {
    border: none !important;
}

.table-boleto .bottomborder, .canhoto-boleto .bottomborder {
    border-bottom: 1px solid #000 !important;
}

.table-boleto .rtl, .canhoto-boleto .rtl {
    text-align: right;
}

.table-boleto .logobanco,.canhoto-boleto .logobanco {
    display: inline-block;
    max-width: 150px;
}
.canhoto-boleto .logocontainer {
    width: 100%;
}

.table-boleto .logocontainer
{
    width: 257px;
    display: inline-block;
}

.logobanco img {
    height: 27px;
}

.table-boleto .logobanco img
 {
    margin-bottom: -5px;
}

.canhoto-boleto.table-boleto .logobanco img,
.canhoto-boleto .logobanco img
 {
    margin-bottom: -3px;
}

.table-boleto .codbanco {
    font: bold 16px Arial;
    padding: 1px 3px;
    display: inline;
    border-left: 2px solid #000;
    border-right: 2px solid #000;
    width: 51px;  
    margin-left: 25px;
}

.canhoto-boleto .codbanco, .canhoto-boleto.table-boleto .codbanco {
    display: inline-block;
    font: bold 16px Arial;
    padding:0 3px;
    border-left: 2px solid #000;
    border-right: 2px solid #000;
    margin-left: 0;
    text-align: center;
    margin-left: 4px;
}

.canhoto-boleto .codbanco span, .canhoto-boleto.table-boleto .codbanco span{
    font: 10px Arial;
    text-align: center;
    display: block;
    padding: 0;
}
.canhoto-boleto .codbanco h2, .canhoto-boleto.table-boleto .codbanco h2 {
    font: bold 16px Arial;
    margin-top: 5px;
    display: inline;
}

.table-boleto .linha-digitavel {
    font: bold 14px Arial;
    display: inline-block;
    width: 406px;
    text-align: right;
}

.linha-digitavel {
    font-size: 13px !important ;
}

.table-boleto .nopadding, .canhoto-boleto .nopadding {
    padding: 0px !important;
}

.table-boleto .caixa-gray-bg {
    font-weight: bold;
    background: #ccc;
}

.info {
    font: 11px Arial;
}

.info-empresa {
    font: 11px Arial;
}

.header {
    font: bold 13px Arial;
    display: block;
    margin: 4px;
}

.barcode {
    height: 50px;
}

.barcode div {
    display: inline-block;
    height: 100%;
}

.barcode .black {
    border-color: #000;
    border-left-style: solid;
    width: 0px;
}

.barcode .white {
    background: #fff;
}

.barcode .thin.black {
    border-left-width: 1px;
}

.barcode .large.black {
    border-left-width: 3px;
}

.barcode .thin.white {
    width: 1px;
}

.barcode .large.white {
    width: 3px;
}

.float_left{
    float:left;
}

.center {
    text-align: center;
}

.conteudo.cpf_cnpj{
    float:right;
    width:24%;
}
.copy-btn {
    cursor: pointer;
    transition: all .2s ease-in-out;
}

.copy-btn:hover {
    scale: 1.2;
}

table tr:last-child {
    border-bottom: 1px solid #000 !important;
}
